%define name         kcheckgmail
%define version      0.5.5
%define release      %mkrel 4

Name:               %name
Version:            %version
Release:            %release
Summary:            KDE systray application to check your Gmail
License: GPL
Group: Networking/Mail
URL: http://sourceforge.net/projects/kcheckgmail
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
Source: %{name}-%{version}.tar.bz2
BuildRequires: kdelibs-devel 
BuildRequires: gcc-c++ 
BuildRequires: gettext
BuildRequires: automake1.8 
BuildRequires: autoconf2.5
BuildRequires: desktop-file-utils 

%description
kCheckGmail is a KDE systray application which looks like firefox's
gmailnotifier plugin. It displays a Gmail icon in the systray and checks
your Gmail account frequently. Your are then informed by a number which tells
you how many unread messages are contained in your mailbox.

%prep
%setup -q

%build

%configure2_5x \
    --with-qt-includes=%_prefix/lib/qt3/include/ \
    --with-qt-libraries=%_prefix/lib/qt3/%_lib

%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}/
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%name
?package(xbase):command="%_bindir/%name" \
needs="X11" section="Internet/Mail" \
title="kCheckGmail" longtitle="KDE systray application to check your Gmail" \
command="kcheckgmail" icon="kcheckgmail.png" \
xdg="true"
EOF

#(nl) Remove the broken? desktop files and create a brand new one
rm -f %{buildroot}%{_datadir}/applications/kde/kcheckgmail.desktop

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/kde/kcheckgmail.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=KCheckGmail
Name[it]=KCheckGmail
Name[xx]=xxKCheckGmailxx
Comment=A Kicker applet to display how many email messages you have in your Gmail account.
Comment[it]=Un applet del pannello per visualizzare quanti messaggi sono contenuti nel tuo account Gmail.
Comment[xx]=xxKicker applet to display how many email messages you have in your Gmail accountxx
Exec=kcheckgmail
Icon=kcheckgmail
X-KDE-StartupNotify=true
Type=Application
Categories=Qt;KDE;X-MandrivaLinux-Internet-Mail;Office;Network;Email;
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root,755)

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL

%{_bindir}/kcheckgmail
%{_datadir}/applications/kde/kcheckgmail.desktop
%{_datadir}/apps/kcheckgmail/
%dir %{_docdir}/HTML/en/kcheckgmail
%doc %{_docdir}/HTML/en/kcheckgmail/common
%doc %{_docdir}/HTML/en/kcheckgmail/index.cache.bz2
%doc %{_docdir}/HTML/en/kcheckgmail/index.docbook
%{_iconsdir}/crystalsvg/*/*/*.png
%{_menudir}/%name

%post
%_install_info %{name}.info
%{update_menus}

%preun
%_remove_install_info %{name}.info
%{clean_menus}


%changelog
* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-01 12:46:29 (59303)
- Workaround broken desktop file

* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-01 12:17:12 (59301)
- Really migrate to xdg menu

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-09 19:48:10 (54957)
- xdg menu

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-09 19:45:24 (54952)
- Import kcheckgmail

* Sat Dec 24 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5.5-1mdk
- From Benot Gudas <benoit@guedas.com>
  - First Mandriva release
- Mery Christmas
